#!/bin/sh

export CONTAINER_INFO="$(curl -s --unix-socket /var/run/docker.sock http://docker/containers/$HOSTNAME/json)"
export CONTAINER_INDEX="$(echo "$CONTAINER_INFO" | jq '.Name' | sed 's/^"\(.*\)"$/\1/' | awk -F'-' '{print $NF}')"
echo "export GEMINI_API_KEY=$(eval echo \$"GEMINI_API_KEY_${CONTAINER_INDEX}")" >> /root/.bashrc
. /root/.bashrc

python /app/workers/consumption_work.py
